//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Mon Dec  4 17:20:24 PST 2000
// Last Modified: Mon Dec  4 17:20:28 PST 2000
// Filename:      ...sig/examples/all/glid.cpp
// Web Address:   http://sig.sapp.org/examples/museinfo/humdrum/glid.cpp
// Syntax:        C++; museinfo
//
// Description:   produces similar output to the Humdrum command "rid -GLId".
//

#include "humdrum.h"

int main(int argc, char** argv) {
   if (argc != 2) {
      cout << "Usage: " << argv[0] << " humdrumfile " << endl;
   }

   HumdrumFile infile;
   if (argc == 1) {
      infile.read(cin);
   } 
   infile.read(argv[1]);
   int lines = infile.getNumLines();

   for (int i=0; i<lines; i++) {
      switch (infile[i].getType()) {

         case E_humrec_data_kern_measure:
         case E_humrec_data:
            cout << infile[i] << "\n";
            break;
         case E_humrec_none:
         case E_humrec_empty:
         case E_humrec_bibliography:
         case E_humrec_global_comment:
         case E_humrec_data_comment:
         case E_humrec_data_interpretation:
         default:
            break;
      }
   }

   return 0;

}



// md5sum: 0e03d0d2e9c88b6079361c0d6d9f4b15 glid.cpp [20090419]
